<?php
if ($data->iron) {
    $name = '<img src="/images/icons/iron.png"> '.$data->iron.' жлз '.FuncHelper::money($data->price_out);
}
else {
    $name = '<img src="/images/icons/bottle.png"> '.$data->bottles.' элик '.FuncHelper::money($data->price_out);
}
$action = ($data->id_user == Yii::app()->user->id ? 'back' : 'buy');
?>

<?php echo CHtml::link($name, array('/trade/'.$action, 'id' => $data->id_auction), array('class' => 'block'));?>